# Traefik Proxy

官方地址：[Traefik Proxy - TraefikLabs](https://traefik.io/traefik/)

配置已设定为：

- 启用 HTTP 和 HTTPS
- 已按照 [Mozilla 的 SSL 安全建议](https://wiki.mozilla.org/Security/Server_Side_TLS)配置了 SSL
  - 默认可使用最低的 TLS 版本：1.2
  - 已按 Mozilla 的建议限制了 TLS 1.2 的密码套件
- 提供 `highSecure` TLS 选项，可在 Docker Container Labels 中配置使用
  - 仅支持 TLS 1.3

需要注意的事情：

- 证书配置需要手动设置证书关联的邮箱地址.
- 需要路由的容器，必须在 Labels 添加 `traefik.enable=true`，否则不会被路由
- 在附带的 `docker-compose.yml` 中有一些说明，请仔细阅读
- HSTS 并没有启用，有需要的话请自行配置
